> ## Documentation Index
> Fetch the complete documentation index at: https://support.i.moneyforward.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete survey by ID

> Delete a specific survey by its ID. Only surveys in 'draft' status can be deleted. This will permanently remove the survey and all related data.



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json delete /api/v1/organizations/{organizationId}/surveys/{surveyId}
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Custom Services
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Service Roles
    description: ''
  - name: Service Licenses
    description: ''
  - name: Recommended Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/surveys/{surveyId}:
    delete:
      tags:
        - Surveys
      summary: Delete survey by ID
      description: >-
        Delete a specific survey by its ID. Only surveys in 'draft' status can
        be deleted. This will permanently remove the survey and all related
        data.
      operationId: publicDeleteSurvey
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: surveyId
          required: true
          in: path
          schema:
            type: number
      responses:
        '204':
          description: Successfully deleted survey
        '400':
          description: Survey is not in draft status and cannot be deleted
        '401':
          description: Invalid or missing API key
        '404':
          description: Survey not found
        '418':
          description: >-
            The feature isn't available for the organization. Please contact the
            support team.
      security:
        - API-Key: []
components:
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````